Skip to:
Content

BuddyPress.org

Opened 2 months ago

Closed 26 hours ago

#8099 closed defect (bug) (fixed)

Update Travis configuration file

Reported by: imath Owned by: netweb
Milestone: 4.4.0 Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords: has-patch close
Cc:

Description

Hi,

Now WordPress stopped supporting PHP 5.3 since WP 5.2, testing master on PHP 5.3 fails. I suggest to stop including this test and to add WP 5.1 and WP 5.2 to the env tested.

Attachments (1)

8099.patch (802 bytes) - added by imath 2 months ago.

Download all attachments as: .zip

Change History (7)

@imath
2 months ago

#1 @netweb
2 months ago

Maybe instead of dropping the 5.3 job, replacxe it with 5.6 so there is still a PHP 5.x job?

#2 @imath
2 months ago

Thanks for your feedback @netweb It's already the case, master is tested against 5.6 see > https://travis-ci.org/buddypress/BuddyPress/jobs/534118885

#3 @imath
2 months ago

In 12399:

Update Travis configuration

  • Add WordPress 5.1 and 5.2 to the env to test,
  • Remove the PHP 5.3 job for WordPress master.

See #8099 (Trunk)

#4 @imath
2 months ago

In 12400:

Update Travis configuration

  • Add WordPress 5.1 and 5.2 to the env to test,
  • Remove the PHP 5.3 job for WordPress master.

See #8099 (4.0 branch)

#5 @imath
2 months ago

  • Keywords close added

I'm leaving this ticket open in case someone wants to edit/improve the config file. But I think it can be closed.

#6 @imath
26 hours ago

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.